package de.intevation.flys.artifacts.access;

import de.intevation.flys.artifacts.FLYSArtifact;

import org.apache.log4j.Logger;

/** Access to river data of an artifact. */
public class RiverAccess
extends      Access
{
    /** Private logger. */
    private static Logger log = Logger.getLogger(RiverAccess.class);

    /** River name. */
    protected String river;


    public RiverAccess() {
    }

    public RiverAccess(FLYSArtifact artifact) {
        super(artifact);
    }


    /** Get River name. */
    public String getRiver() {
        if (river == null) {
            river = getString("river");
        }
        if (log.isDebugEnabled()) {
            log.debug("river: '" + river + "'");
        }
        return river;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
